Author Topic: It's time to support Joomla 3.x ASAP  (Read 1383 times)

zhous98

  • Beginner
  • *
  • Posts: 5
It's time to support Joomla 3.x ASAP
« on: April 30, 2014, 10:49:22 am »
It's almost nonsense to say more but take the action now.

But let me just take some time to give you a little more push.

Joomla has changed it's strategy and there's no more LTV. That's to say, there's no Joomla 3.5:
http://developer.joomla.org/news/583-announcing-joomla-cms-3-4.html

And it's frustrated, after all of the rest carts have supported Joomla 3.x, only Virtuemart, the most popular one, still keeps blocking us from Joomla 3.

Finally, I think Joomla 3.2 is good enough for any new Joomla project.

Joomla 3.3 stable is coming in the next several days.

I know you have done some things. You have talked about this topic again and agian:
http://forum.virtuemart.net/index.php?topic=119177.0
http://forum.virtuemart.net/index.php?topic=111946.msg416149#msg416149
http://forum.virtuemart.net/index.php?topic=115326.0

But hey, you don't have to reply this topic with a long list. Just do it ASAP.

Thank you!

Derek Zhou

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27569
  • Always on vacation
    • Jenkin Hill Internet
Re: It's time to support Joomla 3.x ASAP
« Reply #1 on: April 30, 2014, 10:58:58 am »
Thank you for your command. If you want to hasten the release of VM3 for J3.x then FFS help with testing and development. As announced on the @virtuemart feed, VM2.9 is available for testing by users and can be obtained from http://dev.virtuemart.net/projects/virtuemart/files.

Report any bugs you identify and fixes you recommend on the Development & Testing board.
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.6.8.10197 on Joomla 3.9.13 PHP 7.0.33

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9969
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: It's time to support Joomla 3.x ASAP
« Reply #2 on: April 30, 2014, 15:57:32 pm »
Joomla has changed it's strategy ...

Yes and we took part of the discussion behind the scene and very happy that they changed it.

The only reason we do not release vm2.9 official is just that we want to keep our high code quality. Vm2.9 is assumingly already more bugfree than vm2.0.0 for example.

If there would be someone testing all day for one week it would be done, besides bootstrap adjustment.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9969
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: It's time to support Joomla 3.x ASAP
« Reply #3 on: April 30, 2014, 21:44:35 pm »
This is what we need to be able to release vm3 http://forum.virtuemart.net/index.php?topic=123594.0
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

AH

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3013
  • VirtueMart Version: 3.6.3
Re: It's time to support Joomla 3.x ASAP
« Reply #4 on: April 30, 2014, 22:21:05 pm »
Derek

Let me know when you have completed all the testing and suggested the bug fixes, then I will look to install VM on joomla 3.x

I will do my own testing as I am not sure you will do any, rather looks like you might wait for others to do the hard work.

Rather than jibe at the team, do some testing and give something back to the project!


regards
A

Joomla 3.9.12
php 7.2

PeterWooster

  • Beginner
  • *
  • Posts: 1
Re: It's time to support Joomla 3.x ASAP
« Reply #5 on: May 05, 2014, 18:54:52 pm »
I have a client that is currently running on Joomla 2.5.8, and VirtueMart 2.0.20b and we want to upgrade this system to use the best available versions of the software while we are rebuilding much of the site.  The client would like to move to Joomla 3, but as I understand from this thread that is not possible.  Please let me know what the best versions would be.  Is it Joomla 2.5.20 and VirtueMart 2.6?

Thanks/peter

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 9188
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 3.4.2
Re: It's time to support Joomla 3.x ASAP
« Reply #6 on: May 05, 2014, 22:18:55 pm »
At this point in time yes - the ONLY production ready VM is Joomla 2.5.20 and VirtueMart 2.6.0

As Milbo says - it could be only a matter of weeks till VM2.9 (the test candidate for Joomla 3.x) is ready - but as all dev is done voluntarily there can be no fixed time tables - the more people that participate in testing and bug fixing VM2.9 the faster it will be ready
GJC Web Design
VirtueMart and Joomla Developers - php developers http://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
http://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27569
  • Always on vacation
    • Jenkin Hill Internet
Re: It's time to support Joomla 3.x ASAP
« Reply #7 on: May 05, 2014, 22:26:29 pm »
Use J2.5.20 with VM2.6 - those old versions on the client site are well past their useby date and have known critical security issues, so maybe should have been updated months ago.

VM2.9 is being tested by a few more users now which should help speed development, but Joomla3.3 is not yet the finished product judging by the number of bugs just added to the tracker. If you use a suitable Joomla template that is easy to convert to J3.x (or a commercial template with J2.5 and J3 versions) then migration once the time comes will be a lot easier.
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.6.8.10197 on Joomla 3.9.13 PHP 7.0.33

zhous98

  • Beginner
  • *
  • Posts: 5
Re: It's time to support Joomla 3.x ASAP
« Reply #8 on: May 08, 2014, 15:46:06 pm »
Hi guys,

I'm downloading VM 2.9 now. I had a look last time I came here but I didn't know it's a version for Joomla 3.

I'll definitely test it.

Thank you so much!